<template>
  <div class="MenuComponent">
    <div v-for="food in $store.state.food.FoodsList" :key="food._id">
      <b-card @click="clickFood(food)" class="mx-3 mb-2">
        <div class="row">
          <div class="col">
            <h6>
              <b>{{ food.name }}</b>
            </h6>

            <b-card-text>
              <div style="font-size: 12px">{{ food.description }}</div>
              <b style="font-size: 14px"> {{ food.price }}€ </b>
            </b-card-text>
          </div>
        

          <div class="col-3">
            <img src="@/images/Tabouleh.jpg" class="imgCart" />
          </div>
        </div>
      </b-card>
    </div>

    <b-alert
      :show="dismissCountDown"
      fade
      variant="warning"
      @dismissed="dismissCountDown=0"
      @dismiss-count-down="countDownChanged"
      class="px-mx-5"
    >
      <b-row align-h="between">
        <b-col cols="4">Item added to cart</b-col>
        <b-col cols="4"><b-spinner class="ml-auto"></b-spinner></b-col>
      </b-row>
    </b-alert>
  </div>
</template>

<script lang="ts">
import router from "@/router";
import Vue from "vue";
import { mapActions, mapGetters } from "vuex";
import ComposeMenuComponent from "./ComposeMenuComponent.vue";

export default Vue.extend({
  name: "MenuComponent",
  props: {},

  data() {
    return {
      dismissSecs: 3,
      dismissCountDown: 0,
      showDismissibleAlert: false,
    }
  },

  methods:{
    ...mapActions(["selectFood", "updateCartAlert"]),

    clickFood(food: any){
        this.selectFood(food)
        router.push('menu')
    },  
    countDownChanged(dismissCountDown: number) {
      this.updateCartAlert(false);
    }
  },

  computed: {
    // ...mapGetters(["foods"]),
  },

  created() {   
    if (this.$store.state.cart.alertUser) {
      this.dismissCountDown = this.dismissSecs;
    }
    this.$store.dispatch('getFoodsByRestaurant', this.$store.state.restaurant.SelectedRestaurant._id);
  },
});
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
.restaurant-card {
  font-size: 12px;
}

.imgCart {
  width: 50px;
  height: 50px;
}
</style>
